.ui-margin\@0 {
  margin: 0 !important;
}
.ui-margin\@xs {
  margin: var(--ui-space-xs) !important;
}
.ui-margin\@s {
  margin: var(--ui-space-s) !important;
}
.ui-margin\@m {
  margin: var(--ui-space-m) !important;
}
.ui-margin\@l {
  margin: var(--ui-space-l) !important;
}
.ui-margin\@xl {
  margin: var(--ui-space-xl) !important;
}
.ui-margin\@2xl {
  margin: var(--ui-space-2xl) !important;
}
.ui-margin\@auto {
  margin: auto !important;
}

.ui-margin-top\@0 {
  margin-top: 0 !important;
}
.ui-margin-top\@xs {
  margin-top: var(--ui-space-xs) !important;
}
.ui-margin-top\@s {
  margin-top: var(--ui-space-s) !important;
}
.ui-margin-top\@m {
  margin-top: var(--ui-space-m) !important;
}
.ui-margin-top\@l {
  margin-top: var(--ui-space-l) !important;
}
.ui-margin-top\@xl {
  margin-top: var(--ui-space-xl) !important;
}
.ui-margin-top\@2xl {
  margin-top: var(--ui-space-2xl) !important;
}
.ui-margin-top\@auto {
  margin-top: auto !important;
}

.ui-margin-bottom\@0 {
  margin-bottom: 0 !important;
}
.ui-margin-bottom\@xs {
  margin-bottom: var(--ui-space-xs) !important;
}
.ui-margin-bottom\@s {
  margin-bottom: var(--ui-space-s) !important;
}
.ui-margin-bottom\@m {
  margin-bottom: var(--ui-space-m) !important;
}
.ui-margin-bottom\@l {
  margin-bottom: var(--ui-space-l) !important;
}
.ui-margin-bottom\@xl {
  margin-bottom: var(--ui-space-xl) !important;
}
.ui-margin-bottom\@2xl {
  margin-bottom: var(--ui-space-2xl) !important;
}
.ui-margin-bottom\@auto {
  margin-bottom: auto !important;
}

.ui-margin-left\@0 {
  margin-left: 0 !important;
}
.ui-margin-left\@xs {
  margin-left: var(--ui-space-xs) !important;
}
.ui-margin-left\@s {
  margin-left: var(--ui-space-s) !important;
}
.ui-margin-left\@m {
  margin-left: var(--ui-space-m) !important;
}
.ui-margin-left\@l {
  margin-left: var(--ui-space-l) !important;
}
.ui-margin-left\@xl {
  margin-left: var(--ui-space-xl) !important;
}
.ui-margin-left\@2xl {
  margin-left: var(--ui-space-2xl) !important;
}
.ui-margin-left\@auto {
  margin-left: auto !important;
}

.ui-margin-right\@0 {
  margin-right: 0 !important;
}
.ui-margin-right\@xs {
  margin-right: var(--ui-space-xs) !important;
}
.ui-margin-right\@s {
  margin-right: var(--ui-space-s) !important;
}
.ui-margin-right\@m {
  margin-right: var(--ui-space-m) !important;
}
.ui-margin-right\@l {
  margin-right: var(--ui-space-l) !important;
}
.ui-margin-right\@xl {
  margin-right: var(--ui-space-xl) !important;
}
.ui-margin-right\@2xl {
  margin-right: var(--ui-space-2xl) !important;
}
.ui-margin-right\@auto {
  margin-right: auto !important;
}

.ui-margin-x\@0 {
  margin-left: 0 !important;
  margin-right: 0 !important;
}
.ui-margin-x\@xs {
  margin-left: var(--ui-space-xs) !important;
  margin-right: var(--ui-space-xs) !important;
}
.ui-margin-x\@s {
  margin-left: var(--ui-space-s) !important;
  margin-right: var(--ui-space-s) !important;
}
.ui-margin-x\@m {
  margin-left: var(--ui-space-m) !important;
  margin-right: var(--ui-space-m) !important;
}
.ui-margin-x\@l {
  margin-left: var(--ui-space-l) !important;
  margin-right: var(--ui-space-l) !important;
}
.ui-margin-x\@xl {
  margin-left: var(--ui-space-xl) !important;
  margin-right: var(--ui-space-xl) !important;
}
.ui-margin-x\@2xl {
  margin-left: var(--ui-space-2xl) !important;
  margin-right: var(--ui-space-2xl) !important;
}
.ui-margin-x\@auto {
  margin-left: auto !important;
  margin-right: auto !important;
}

.ui-margin-y\@0 {
  margin-top: 0 !important;
  margin-bottom: 0 !important;
}
.ui-margin-y\@xs {
  margin-top: var(--ui-space-xs) !important;
  margin-bottom: var(--ui-space-xs) !important;
}
.ui-margin-y\@s {
  margin-top: var(--ui-space-s) !important;
  margin-bottom: var(--ui-space-s) !important;
}
.ui-margin-y\@m {
  margin-top: var(--ui-space-m) !important;
  margin-bottom: var(--ui-space-m) !important;
}
.ui-margin-y\@l {
  margin-top: var(--ui-space-l) !important;
  margin-bottom: var(--ui-space-l) !important;
}
.ui-margin-y\@xl {
  margin-top: var(--ui-space-xl) !important;
  margin-bottom: var(--ui-space-xl) !important;
}
.ui-margin-y\@2xl {
  margin-top: var(--ui-space-2xl) !important;
  margin-bottom: var(--ui-space-2xl) !important;
}

.ui-padding\@0 {
  padding: 0 !important;
}
.ui-padding\@xs {
  padding: var(--ui-space-xs) !important;
}
.ui-padding\@s {
  padding: var(--ui-space-s) !important;
}
.ui-padding\@m {
  padding: var(--ui-space-m) !important;
}
.ui-padding\@l {
  padding: var(--ui-space-l) !important;
}
.ui-padding\@xl {
  padding: var(--ui-space-xl) !important;
}
.ui-padding\@2xl {
  padding: var(--ui-space-2xl) !important;
}

.ui-padding-top\@0 {
  padding-top: 0 !important;
}
.ui-padding-top\@xs {
  padding-top: var(--ui-space-xs) !important;
}
.ui-padding-top\@s {
  padding-top: var(--ui-space-s) !important;
}
.ui-padding-top\@m {
  padding-top: var(--ui-space-m) !important;
}
.ui-padding-top\@l {
  padding-top: var(--ui-space-l) !important;
}
.ui-padding-top\@xl {
  padding-top: var(--ui-space-xl) !important;
}
.ui-padding-top\@2xl {
  padding-top: var(--ui-space-2xl) !important;
}

.ui-padding-bottom\@0 {
  padding-bottom: 0 !important;
}
.ui-padding-bottom\@xs {
  padding-bottom: var(--ui-space-xs) !important;
}
.ui-padding-bottom\@s {
  padding-bottom: var(--ui-space-s) !important;
}
.ui-padding-bottom\@m {
  padding-bottom: var(--ui-space-m) !important;
}
.ui-padding-bottom\@l {
  padding-bottom: var(--ui-space-l) !important;
}
.ui-padding-bottom\@xl {
  padding-bottom: var(--ui-space-xl) !important;
}
.ui-padding-bottom\@2xl {
  padding-bottom: var(--ui-space-2xl) !important;
}

.ui-padding-left\@0 {
  padding-left: 0 !important;
}
.ui-padding-left\@xs {
  padding-left: var(--ui-space-xs) !important;
}
.ui-padding-left\@s {
  padding-left: var(--ui-space-s) !important;
}
.ui-padding-left\@m {
  padding-left: var(--ui-space-m) !important;
}
.ui-padding-left\@l {
  padding-left: var(--ui-space-l) !important;
}
.ui-padding-left\@xl {
  padding-left: var(--ui-space-xl) !important;
}
.ui-padding-left\@2xl {
  padding-left: var(--ui-space-2xl) !important;
}

.ui-padding-right\@0 {
  padding-right: 0 !important;
}
.ui-padding-right\@xs {
  padding-right: var(--ui-space-xs) !important;
}
.ui-padding-right\@s {
  padding-right: var(--ui-space-s) !important;
}
.ui-padding-right\@m {
  padding-right: var(--ui-space-m) !important;
}
.ui-padding-right\@l {
  padding-right: var(--ui-space-l) !important;
}
.ui-padding-right\@xl {
  padding-right: var(--ui-space-xl) !important;
}
.ui-padding-right\@2xl {
  padding-right: var(--ui-space-2xl) !important;
}

.ui-padding-x\@0 {
  padding-left: 0 !important;
  padding-right: 0 !important;
}
.ui-padding-x\@xs {
  padding-left: var(--ui-space-xs) !important;
  padding-right: var(--ui-space-xs) !important;
}
.ui-padding-x\@s {
  padding-left: var(--ui-space-s) !important;
  padding-right: var(--ui-space-s) !important;
}
.ui-padding-x\@m {
  padding-left: var(--ui-space-m) !important;
  padding-right: var(--ui-space-m) !important;
}
.ui-padding-x\@l {
  padding-left: var(--ui-space-l) !important;
  padding-right: var(--ui-space-l) !important;
}
.ui-padding-x\@xl {
  padding-left: var(--ui-space-xl) !important;
  padding-right: var(--ui-space-xl) !important;
}
.ui-padding-x\@2xl {
  padding-left: var(--ui-space-2xl) !important;
  padding-right: var(--ui-space-2xl) !important;
}

.ui-padding-y\@0 {
  padding-top: 0 !important;
  padding-bottom: 0 !important;
}
.ui-padding-y\@xs {
  padding-top: var(--ui-space-xs) !important;
  padding-bottom: var(--ui-space-xs) !important;
}
.ui-padding-y\@s {
  padding-top: var(--ui-space-s) !important;
  padding-bottom: var(--ui-space-s) !important;
}
.ui-padding-y\@m {
  padding-top: var(--ui-space-m) !important;
  padding-bottom: var(--ui-space-m) !important;
}
.ui-padding-y\@l {
  padding-top: var(--ui-space-l) !important;
  padding-bottom: var(--ui-space-l) !important;
}
.ui-padding-y\@xl {
  padding-top: var(--ui-space-xl) !important;
  padding-bottom: var(--ui-space-xl) !important;
}
.ui-padding-y\@2xl {
  padding-top: var(--ui-space-2xl) !important;
  padding-bottom: var(--ui-space-2xl) !important;
}
